## org.apache.fop.pdf
Class PDFPathPaint

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFPathPaint

Direct Known Subclasses:
  PDFColor, PDFPattern

public abstract class PDFPathPaint
extends PDFObject

Field Summary
`protected ColorSpace` `colorSpace`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFPathPaint()`
`PDFPathPaint(int theNumber)`

Method Summary
`int` `getColorSpace()`
`java.lang.String` `getColorSpaceOut(boolean fillNotStroke)`
`void` `setColorSpace(int theColorSpace)`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colorSpace

    protected ColorSpace colorSpace

Constructor Detail

### PDFPathPaint

    public PDFPathPaint(int theNumber)

### PDFPathPaint

    public PDFPathPaint()

Method Detail

### getColorSpaceOut

    public java.lang.String getColorSpaceOut(boolean fillNotStroke)

### setColorSpace

    public void setColorSpace(int theColorSpace)

### getColorSpace

    public int getColorSpace()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.